Subject: free Chinese software for X11 and Unix

From: "Stephen G. Simpson" <[email-masked]>
Date: Sun, 2 Dec 90 14:53:03 -0500

Hi everybody,

Recently I gained some experience with free Chinese software on X11R4
(MIT's most recent X Window release) and OpenWindows 2.0 (Sun
Microsystems' X11/News server).

The packages I installed recently are:

Cxterm (Chinese X terminal window)
Celvis (Chinese vi-style editor, works under Cxterm)
Xhzview (Ricky Yeung's X Window Chinese file viewer)
HC (Ricky Yeung's GuoBiao<-->BIG-5 converter)

In addition, for the past year I have been using Ricky Yeung's HZ and
J. B. Wang's Chinese TeX.  They work fairly well, but until recently,
I had no way to preview the PostScript files that they produce.
Recently, I discovered that Pageview (the OpenWindows PostScript
previewer) works with these files.  If anyone knows of another
PostScript previewer that does this, please send me e-mail.

I also tried MLX (multi-language X terminal window from Singapore) but
I can't get it to compile and the authors don't answer their e-mail.
If anyone has successfully installed MLX, please send me e-mail.

I haven't tried Mark Leisher's Chinese ditroff filters, because I
don't have ditroff.

If you would like me to give CCNET more complete information on the
above software, or if you know of any other Chinese software for Unix,
please send me e-mail.  What I would really like to see is a Chinese
Emacs and a more polished version of Chinese TeX.

Anyway, to summarize for now, if you have OpenWindows 2.0 and a
PostScript printer, you can now get a fairly complete Chinese document
preparation system free, by anonymous ftp.

For reference, some ftp sites are:

crl.nmsu.edu [128.123.1.14] : pub/chinese/
cs.purdue.edu [128.10.2.1] : pub/ygz/
clover.ucdavis.edu [128.120.57.1] : pub/
june.cs.washington.edu [128.95.1.4] : pub/yeung/
expo.lcs.mit.edu [18.30.0.212] : X11R4/contrib/
chiris.stevens-tech.edu [192.12.216.114] : ????

Stephen G. Simpson

Internet: [email-masked]
Bitnet: T20@PSUVM